CMPISTATUS(3)

NAME
CMPIStatus - CMPIStatus class implementation

SYNOPSIS

  Public Attributes
CMPIrc rc;
status code for operation.
CMPIString * msg;
String description for status code, when errors occur.

METHODS

DESCRIPTION
Native CMPIStatus implementation.

This is the native CMPIStatus implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIStatus object, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup